package main

import (
	"database/sql"
	"flag"
	"log"
	"os"

	_ "humungus.tedunangst.com/r/go-sqlite3"
)

var dbtimeformat = "2006-01-02 15:04:05"

var db *sql.DB

func init() {
	var err error
	dbname := "gruss.db"
	_, err = os.Stat(dbname)
	if err != nil {
		log.Fatalf("unable to open database: %s", err)
	}
	db, err = sql.Open("sqlite3", dbname)
	if err != nil {
		log.Fatalf("unable to open database: %s", err)
	}
}

var wakefeeder = make(chan int)

func main() {
	feedonly := flag.Bool("f", false, "feed only")
	readonly := flag.Bool("r", false, "read only")
	flag.Parse()
	if *feedonly {
		feeder()
	} else if *readonly {
		reader()
	} else {
		go feeder()
		reader()
	}
}
