CREATE TABLE feeds (feedid integer primary key, feedurl text, feedname text, checkinterval text, nextcheck text);
CREATE TABLE links (linkid integer primary key, feedid integer, link text, title text, dt text, content text);
CREATE TABLE userlinks (userid integer, linkid integer, feedid integer, seen integer);
CREATE TABLE images (imageid integer primary key, name text, origurl text, format text, width integer, height integer, data blob);

CREATE INDEX idxlinks_link on links(link);
CREATE INDEX idximages_name on images(name);
CREATE INDEX idxuserlinks_userid on userlinks(userid);
CREATE INDEX idxuserlinks_linkid on userlinks(linkid);
CREATE INDEX idxuserlinks_feedid on userlinks(feedid);

CREATE TABLE users (userid integer primary key, username text, hash text, lastunread integer);
CREATE TABLE auth (authid integer primary key, userid integer, hash text);
CREATE INDEX idxusers_username on users(username);
CREATE INDEX idxauth_userid on auth(userid);
CREATE INDEX idxauth_hash on auth(hash);
